<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotMediaMetadata;

use UnexpectedValueException;




class OrientationType
{
    


    const ORIENTATION_TYPE_UNSPECIFIED = 0;
    


    const CENTER = 1;
    


    const LEFT = 2;
    


    const RIGHT = 3;

    private static $valueToName = [
        self::ORIENTATION_TYPE_UNSPECIFIED => 'ORIENTATION_TYPE_UNSPECIFIED',
        self::CENTER => 'CENTER',
        self::LEFT => 'LEFT',
        self::RIGHT => 'RIGHT',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

